.nf-form-fields-required {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important;
}
.ninja-forms-field:not(button):not([type='radio']):not([type='checkbox']):not([type='color']):not([type='file']):not([type='range']):not([type='reset']):not([type='button']):not([type='submit']):not([type='submit']) {
  border-radius: 3px;
  display: block;
  width: 100%;
  padding: 6px 12px;
  font: inherit;
  height: 2.75rem;
  color: var(--wp--preset--color--foreground);
  background-color: var(--_bg-color, #fff);
  border: solid 1px var(--_border-color, currentColor);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.ninja-forms-field[type='date'],
.ninja-forms-field[type='email'],
.ninja-forms-field[type='month'],
.ninja-forms-field[type='number'],
.ninja-forms-field[type='password'],
.ninja-forms-field[type='search'],
.ninja-forms-field[type='tel'],
.ninja-forms-field[type='time'],
.ninja-forms-field[type='url'],
.ninja-forms-field[type='week'],
.ninja-forms-field[type='text'] {
  height: 2.75rem;
}
.ninja-forms-field[type='checkbox'],
.ninja-forms-field[type='radio'] {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important;
}
.ninja-forms-field[type='checkbox'] + label,
.ninja-forms-field[type='radio'] + label,
.checkbox-container .checkbox-wrap label {
  margin-left: 0 !important;
  display: flex !important;
  gap: 0 0.625rem;
}
.ninja-forms-field[type='checkbox'] + label::before,
.ninja-forms-field[type='radio'] + label::before,
.checkbox-container .checkbox-wrap label::before {
  content: '';
  height: 1em;
  width: 1em;
  border: solid 1px var(--wp--preset--color--foreground);
  border-radius: 50%;
  margin-top: 0.25em;
  padding: 2px;
  background-clip: content-box;
}
.ninja-forms-field[type='checkbox']:checked + label::before,
.ninja-forms-field[type='radio']:checked + label::before,
.checkbox-container:has(input:checked) .checkbox-wrap label::before {
  background-color: var(--wp--preset--color--classic-blue);
}
.ninja-forms-field[type='checkbox'] + label::before,
.checkbox-container .checkbox-wrap label::before {
  border-radius: 0;
}
.ninja-forms-field[type='button'],
.ninja-forms-field[type='reset'],
.ninja-forms-field[type='submit'] {
  background-color: var(--wp--preset--color--classic-blue);
  color: var(--wp--preset--color--background);
  border: none;
  padding: 6px 20px;
  border-radius: 3px;
  min-height: 36px;
  font: inherit;
}
.ninja-forms-field[type='button'][disabled],
.ninja-forms-field[type='reset'][disabled],
.ninja-forms-field[type='submit'][disabled] {
  opacity: 0.75;
}
.ninja-forms-field[type='button']:not([disabled]):hover,
.ninja-forms-field[type='reset']:not([disabled]):hover,
.ninja-forms-field[type='submit']:not([disabled]):hover {
  cursor: pointer;
  background-color: var(--wp--preset--color--dark-green);
}
textarea.ninja-forms-field {
  height: auto;
}
.nf-response-msg a {
  text-decoration: underline;
}
.nf-response-msg:last-child {
  margin-bottom: 0;
}
.nf-error-msg,
.ninja-forms-req-symbol {
  color: #b30000;
}
.nf-form-content .nf-field-container .field-wrap {
  background-color: unset !important;
  padding: unset !important;
}
.nf-form-content .nf-field-container .field-wrap .nf-field-element {
  color: var(--wp--preset--color--classic-blue);
  font-size: var(--wp--preset--font-size--large);
  font-weight: 600;
  line-height: 1.5;
}

.field-wrap:where(.nf-fail) .ninja-forms-field {
  --_border-color: rgb(179, 0, 0);
  --_bg-color: rgba(179, 0, 0, 0.1);
}
